import { type Locator, type Page } from '@playwright/test';
import { BasePage } from './BasePage';
import { ICustomerDetails } from '@business-logic/types/CustomerDetails';

export class ContactConfirmationPage extends BasePage {
    readonly page: Page;
    readonly ConfirmMessageLabel: Locator;

    issPageValue = 'contact-confirmation';

    constructor(page: Page) {
        super(page);
        this.page = page;
        this.ConfirmMessageLabel = this.page.getByText("Your callback request has been sent!");      
    }

}